All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.find.html
Interface FindSelectorPanelKeysInterface

All Known Implementing Classes:
  FindSelectorPanel

    public interface FindSelectorPanelKeysInterface

This interface defines keys used to retrieve the visual components for the FindSelectorPanel from its component map. These keys are the component keys needed to access the components from the map via a CompositeComponentInterface. Use these keys to retrieve the subcomponents from the component map to modify component properties or replace the component entirely.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1
See Also:
  `FindSelectorPanel`, `CompositeComponentInterface`

Field Summary
`static java.lang.String` | `CONDITION_CHOICEBOX` Component key for the condition choicebox
`static java.lang.String` | `CONDITION_LABEL` Component key for the condition choicebox label
`static java.lang.String` | `DIRECTION_LABEL` Component key for the direction label
`static java.lang.String` | `DIRECTION_RADIO` Component key for the direction radio button
`static java.lang.String` | `FIND_LABEL` Component key for the find radio buttons label
`static java.lang.String` | `FIND_RADIO` Component key for the find radio button
`static java.lang.String` | `VALUE_LABEL` Component key for the value text entry label
`static java.lang.String` | `VALUE_TEXTENTRY` Component key for the value text entry object

Field Detail

### FIND_LABEL

    static final java.lang.String FIND_LABEL

  Component key for the find radio buttons label

  See Also:
    Constant Field Values

### FIND_RADIO

    static final java.lang.String FIND_RADIO

  Component key for the find radio button

  See Also:
    Constant Field Values

### CONDITION_LABEL

    static final java.lang.String CONDITION_LABEL

  Component key for the condition choicebox label

  See Also:
    Constant Field Values

### CONDITION_CHOICEBOX

    static final java.lang.String CONDITION_CHOICEBOX

  Component key for the condition choicebox

  See Also:
    Constant Field Values

### VALUE_LABEL

    static final java.lang.String VALUE_LABEL

  Component key for the value text entry label

  See Also:
    Constant Field Values

### VALUE_TEXTENTRY

    static final java.lang.String VALUE_TEXTENTRY

  Component key for the value text entry object

  See Also:
    Constant Field Values

### DIRECTION_LABEL

    static final java.lang.String DIRECTION_LABEL

  Component key for the direction label

  See Also:
    Constant Field Values

### DIRECTION_RADIO

    static final java.lang.String DIRECTION_RADIO

  Component key for the direction radio button

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.